'use strict';

var _chai = require('chai');

var _TestUtils = require('../../TestUtils');

var _TestUtils2 = _interopRequireDefault(_TestUtils);

var _ChampionMasteryEndpoint = require('../../../lib/Endpoints/ChampionMasteryEndpoint');

var _ChampionMasteryEndpoint2 = _interopRequireDefault(_ChampionMasteryEndpoint);

var _mocks = require('../../mocks');

var _mocks2 = _interopRequireDefault(_mocks);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const { kaynInstance, defaultConfig } = _TestUtils2.default;

const { kayn, REGIONS, METHOD_TYPES } = kaynInstance;


describe('ChampionMasteryEndpoint', function () {
    this.timeout(0);

    beforeEach(function () {
        this.ChampionMastery = new _ChampionMasteryEndpoint2.default(defaultConfig);
    });

    describe('.get', function () {
        it('should have the correct payload #1', function () {
            const championID = 67;
            const { Contractz } = _mocks2.default.summoner;
            const { payload } = this.ChampionMastery.get(Contractz.id)(championID);
            (0, _chai.expect)(payload).to.deep.equal({
                method: 'GET',
                serviceName: 'champion-mastery',
                endpoint: `champion-masteries/by-summoner/${Contractz.id}/by-champion/${championID}`,
                query: [],
                region: '',
                isTournament: false,
                version: 3
            });
        });
    });
});