'use strict';

var _chai = require('chai');

var _TestUtils = require('../../../TestUtils');

var _TestUtils2 = _interopRequireDefault(_TestUtils);

var _LeaguePositionsEndpoint = require('../../../../lib/Endpoints/LeagueEndpoint/LeaguePositionsEndpoint');

var _LeaguePositionsEndpoint2 = _interopRequireDefault(_LeaguePositionsEndpoint);

var _mocks = require('../../../mocks');

var _mocks2 = _interopRequireDefault(_mocks);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const { kaynInstance, defaultConfig } = _TestUtils2.default;

const { kayn, REGIONS, METHOD_TYPES } = kaynInstance;


describe('LeaguePositionsEndpoint', function () {
    this.timeout(0);

    beforeEach(function () {
        this.LeaguePositions = new _LeaguePositionsEndpoint2.default(defaultConfig);
    });

    describe('.by.summonerID', function () {
        it('should have the correct payload #1', function () {
            const { Contractz } = _mocks2.default.summoner;
            const { payload } = this.LeaguePositions.by.summonerID(Contractz.id);
            (0, _chai.expect)(payload).to.deep.equal({
                method: 'GET',
                serviceName: 'league',
                endpoint: `positions/by-summoner/${Contractz.id}`,
                query: [],
                region: '',
                isTournament: false,
                version: 3
            });
        });
    });
});