'use strict';

var _chai = require('chai');

var _TestUtils = require('../../../TestUtils');

var _TestUtils2 = _interopRequireDefault(_TestUtils);

var _MatchlistEndpoint = require('../../../../lib/Endpoints/MatchEndpoint/MatchlistEndpoint');

var _MatchlistEndpoint2 = _interopRequireDefault(_MatchlistEndpoint);

var _mocks = require('../../../mocks');

var _mocks2 = _interopRequireDefault(_mocks);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const { kaynInstance, defaultConfig } = _TestUtils2.default;

const { kayn, REGIONS, METHOD_TYPES } = kaynInstance;


describe('MatchlistEndpoint', function () {
    this.timeout(0);

    beforeEach(function () {
        this.Matchlist = new _MatchlistEndpoint2.default(defaultConfig);
    });

    describe('.by.accountID', function () {
        it('should have the correct payload #1', function () {
            const { payload } = this.Matchlist.by.accountID(_mocks2.default.summoner.Contractz.accountId);
            (0, _chai.expect)(payload).to.deep.equal({
                method: 'GET',
                serviceName: 'match',
                endpoint: `matchlists/by-account/${_mocks2.default.summoner.Contractz.accountId}`,
                query: [],
                region: '',
                isTournament: false,
                version: 3
            });
        });
    });

    describe('.Recent.by.accountID', function () {
        it('should have the correct payload #1', function () {
            const { payload } = this.Matchlist.Recent.by.accountID(_mocks2.default.summoner.Contractz.accountId);
            const { Contractz } = _mocks2.default.summoner;
            (0, _chai.expect)(payload).to.deep.equal({
                method: 'GET',
                serviceName: 'match',
                endpoint: `matchlists/by-account/${Contractz.accountId}`,
                query: [{ beginIndex: 0, endIndex: 20 }],
                region: '',
                isTournament: false,
                version: 3
            });
        });
    });
});